#!/bin/ksh
#*BEGIN CMVC *
#**************************************************************************
#*
#*  Workfile: %W%
#*  Last update: %E% %U%
#*  SCCS path, id: %F% %I%
#*
#**************************************************************************
#*END CMVC *
#*BEGIN COPYRIGHT *
#**************************************************************************
#
#   Licensed Materials - Property of IBM
#   WA81 SupportPac
#   (c) Copyright IBM Corp. 1999, 2001
#   The source code for this program is not published or other-
#   wise divested of trade secrets, irrespective of what has
#   been deposited with the U.S. Copyright Office.
#
#**************************************************************************
#*END COPYRIGHT *

# Shell script for the Web Client Version 2 on Unix:
# - change directory ownerships to 'fmc:fmcsvr'
# - change file ownerships to 'bin:bin'
# - allow read and execute access for 'other' on all directories
# - allow read access for 'other' on all files

OpSys=`uname -s`                #  Currently supported are:                 #
                                #    IBM: "AIX" (v4.2, v4.3)                #
                                #    HP:  "HP-UX" (v10.20)                  #
                                #    SUN: "SunOS" (Solaris 7)               #
                                #  Currently testing:                       #
                                #    LINUX: "Linux" (SuSE, Red Hat)         #

echo 'Operating System: ' $OpSys

if [[ $OpSys = "AIX" ]]; then
  if [[ -d /usr/lpp/fmc ]]; then
    export FMC_HCLI_INST_DIR=/usr/lpp/fmc
    export FMC_DIR_OWNER=fmc:fmcsvr
    export FMC_FILE_OWNER=bin:bin
  else
   echo 'MQSeries Workflow seems not to be installed in /usr/lpp/fmc!'
   exit 42
  fi
fi

if [[ $OpSys = "SunOS" ]]; then
  if [[ -d /opt/fmc ]]; then
    export FMC_HCLI_INST_DIR=/opt/fmc
    export FMC_DIR_OWNER=bin:bin
    export FMC_FILE_OWNER=bin:bin
  else
   echo 'MQSeries Workflow seems not to be installed in /opt/fmc!'
   exit 42
  fi
fi

if [[ $OpSys = "HP-UX" ]]; then
  if [[ -d /opt/fmc ]]; then
    export FMC_HCLI_INST_DIR=/opt/fmc
    export FMC_DIR_OWNER=bin:bin
    export FMC_FILE_OWNER=bin:bin
  else
   echo 'MQSeries Workflow seems not to be installed in /opt/fmc!'
   exit 42
  fi
fi

if [[ $OpSys = "OS/390" ]]; then
    export FMC_HCLI_INST_DIR=/usr/lpp/fmc
  if [[ -d $FMC_HCLI_INST_DIR ]]; then
    export FMC_DIR_OWNER=OMVSKERN:OMVSGRP
    export FMC_FILE_OWNER=OMVSKERN:OMVSGRP
  else
   echo 'MQSeries Workflow seems not to be installed in '$FMC_HCLI_INST_DIR'!'
   exit 42
  fi
fi


export FMC_COMMON_MODE=o+r
export FMC_DIR_ONLY_MODE=o+x
export FMC_DIR_FULL_MODE=o+rx
export FMC_FILE_EXEC_MODE=a+x

# **************************************************
# WebClient
# **************************************************
echo 'updating file/directory access rights of WebClient'
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient
chown -R $FMC_FILE_OWNER     $FMC_HCLI_INST_DIR/WebClient/*
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/WEB-INF
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/forms
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/help
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/images
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/images/action
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/images/icons
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/images/navigation
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/images/state
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/processes
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/programs
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/WebClient/webpages/starter

chmod    $FMC_DIR_FULL_MODE  $FMC_HCLI_INST_DIR/WebClient
chmod -R $FMC_COMMON_MODE    $FMC_HCLI_INST_DIR/WebClient/*
chmod    $FMC_FILE_EXEC_MODE $FMC_HCLI_INST_DIR/WebClient/*.sh
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/WEB-INF
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/forms
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/help
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/images
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/images/action
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/images/icons
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/images/navigation
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/images/state
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/processes
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/programs
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/WebClient/webpages/starter

# **************************************************
# WebClient Documentation
# **************************************************
echo 'updating file/directory access rights of WebClient documentation'
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc
chown -R $FMC_FILE_OWNER     $FMC_HCLI_INST_DIR/doc/WebClient/*
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc/WebClient
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc/WebClient/api
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc/WebClient/api/com
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm/workflow
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm/workflow/servlet
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm/workflow/servlet/client
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm/workflow/servlet/client/class-use
chown    $FMC_DIR_OWNER $FMC_HCLI_INST_DIR/doc/WebClient/images
chmod    $FMC_DIR_FULL_MODE  $FMC_HCLI_INST_DIR/doc/WebClient
chmod -R $FMC_COMMON_MODE    $FMC_HCLI_INST_DIR/doc/WebClient/*
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient/api
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient/api/com
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm/workflow
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm/workflow/servlet
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm/workflow/servlet/client
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient/api/com/ibm/workflow/servlet/client/class-use
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/doc/WebClient/images

# **************************************************
# WebClient Scenario
# **************************************************
echo 'updating file/directory access rights of WebClient Scenario'
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/scenario
chown -R $FMC_FILE_OWNER     $FMC_HCLI_INST_DIR/scenario/*
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/scenario/credit
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/scenario/credit/images
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/scenario/credit/images/icons
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/scenario/credit/processes
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/scenario/credit/programs
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/scenario/credit/starter

chmod    $FMC_DIR_FULL_MODE  $FMC_HCLI_INST_DIR/scenario
chmod -R $FMC_COMMON_MODE    $FMC_HCLI_INST_DIR/scenario/*
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/scenario/credit
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/scenario/credit/images
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/scenario/credit/images/icons
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/scenario/credit/processes
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/scenario/credit/programs
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/scenario/credit/starter

# **************************************************
# WebClient Sample
# **************************************************
echo 'updating file/directory access rights of WebClient Sample'
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/smp
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/smp/WebClient
chown -R $FMC_FILE_OWNER     $FMC_HCLI_INST_DIR/smp/WebClient/*
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/smp/WebClient/groupwl
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/smp/WebClient/groupwl/step1
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/smp/WebClient/groupwl/step2
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/smp/WebClient/groupwl/step3
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/smp/WebClient/images
chown    $FMC_DIR_OWNER      $FMC_HCLI_INST_DIR/smp/WebClient/images/action

chmod    $FMC_DIR_FULL_MODE  $FMC_HCLI_INST_DIR/smp
chmod    $FMC_DIR_FULL_MODE  $FMC_HCLI_INST_DIR/smp/WebClient
chmod -R $FMC_COMMON_MODE    $FMC_HCLI_INST_DIR/smp/WebClient/*
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/smp/WebClient/groupwl
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/smp/WebClient/groupwl/step1
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/smp/WebClient/groupwl/step2
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/smp/WebClient/groupwl/step3
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/smp/WebClient/images
chmod    $FMC_DIR_ONLY_MODE  $FMC_HCLI_INST_DIR/smp/WebClient/images/action

unset FMC_HCLI_INST_DIR
unset FMC_DIR_OWNER
unset FMC_FILE_OWNER
unset FMC_COMMON_MODE
unset FMC_DIR_ONLY_MODE
unset FMC_DIR_FULL_MODE
unset FMC_FILE_EXEC_MODE
echo 'finished updating file/directory access rights of WebClient'
