<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP List Properties Viewer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.api.PersistentListPackage.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<%String listname="", filter="", sortCriteria="", threshold="",
         description="", title="", oid="";
  String enable = "disabled";
  int kindOfList = SessionContext.NOT_SET;
  PersistentList list = context.getSelectedList();

  if (list == null)
  {
    title = context.get("ListPropertiesViewer.CreateANewList");
    enable = "";
  }
  else
  {
    title = context.get("ListPropertiesViewer.ListSettings");
    oid = context.persistentOidOf(list);
    kindOfList = context.getKindOfSelectedList();
    try
    {
      listname = list.name();
      if (list.filter()!=null)       filter       = list.filter();
      if (list.sortCriteria()!=null) sortCriteria = list.sortCriteria();
      if (list.threshold()!=null)    threshold    = list.threshold().toString();
      if (list.description()!=null)  description  = list.description();
    }
    catch (FmcException xcpt)
    {
      throw new ClientException(context,xcpt);
    }
  }
%>

<html>
<head>
<title>IBM MQSeries Workflow Web Client - <%=title%></title>
<link rel="stylesheet" type="text/css" href="../webclientstyle.css">
  <style type="text/css">
  <!--
    td
    {
      font-size: 8pt;
      font-family: Arial, Helvetica, sans-serif;
    }
  //-->
  </style>
</head>

<body>

<!-- --------------- Navigation Buttons --------------- //-->

<table width="100%" border="2" bordercolordark="#000000" bordercolorlight="#FFFFFF" cellpadding="0" cellspacing="0" class="navigator">
<tr>
    <!--  Back to List Button  //-->
    <%String command = "queryLists";
      String imagename = "back";
      String buttonTxt = context.get("ListPropertiesViewer.BackToLists");
    %>
    <td align="left">
      <a href="<%=context.getCommand(command, "&useCache=true")%>">
      <img src="../images/navigation/<%=imagename%>.gif" border="0" alt="<%=buttonTxt%>"></a></td>


<!--  Refresh Button  //-->
    <td align="left">
      <a href="<%=context.getCommand("showListProperties", oid)%>"><img src="../images/navigation/refresh.gif" border="0" alt="<%=context.get("Command.Refresh")%>"></a></td>

    <td width="100%">&nbsp;</td>

    <td>
     <a href="javascript:{}" onClick="javascript:var helpwin=window.open('../help/Help_index.html','Help','width=600,height=500,screenX=200,screenY=0,scrollbars,resizable');helpwin.frames[1].location.replace('../help/Help_Body.html');">
     <img src="../images/navigation/help.gif" border="0" alt="<%=context.get("ListPropertiesViewer.Help")%>"></a></td>

    <td class="navigationseparator"><img src="../images/a_pixel.gif" width="3"></td>

    <td align="right">
     <a href="<%=context.getCommand("logoff")%>">
     <img src="../images/navigation/logoff.gif" border="0" alt="<%=context.get("ListPropertiesViewer.Logoff")%>"></a></td>

  </tr>
  </table>


<!-- Title -->
  <br>
    <div width="100%" class="title"><%=title%></div>

  <form name="listForm">
  <table border="2" bordercolordark="#000000" bordercolorlight="#FFFFFF" cellspacing="0" cellpadding="5" width="400" class="listtable" align="center">
  <tr><td>
  <table cellpadding="8" cellspacing="6" width="400" border="0">
  <tr>
    <td nowrap colspan="3" align="center" style="border:outset;border-width:0.01cm;border-color:#FFFFFF;">
      <label>
        <input style="margin-top:-0.3cm" type="radio" name="kind" value="WorkList" <%=enable%>
               <%=(kindOfList == SessionContext.NOT_SET || kindOfList == SessionContext.WORKLIST ? "checked" : "")%>>
        &nbsp;<%=context.get("ListPropertiesViewer.WorkList")%>&nbsp;&nbsp;&nbsp;
      </label>
      <label>
        <input type="radio" name="kind" value="InstanceList" <%=enable%>
               <%=(kindOfList == SessionContext.INSTANCELIST ? "checked" : "")%>>
        &nbsp;<%=context.get("ListPropertiesViewer.ProcessInstanceList")%>&nbsp;&nbsp;&nbsp;
      </label>
      <label>
        <input type="radio" name="kind" value="TemplateList" <%=enable%>
               <%=(kindOfList == SessionContext.TEMPLATELIST ? "checked" : "")%>>
        &nbsp;<%=context.get("ListPropertiesViewer.ProcessTemplateList")%>
      </label>
    </td>
  </tr>
  <tr style="padding-top:0.5cm;">
   <td valign="top" colspan="2">
      <label>
        <%=context.get("ListPropertiesViewer.Name")%><br>
        <%if (list == null)
        {%><input type="text" name="Name"><br><%}
        else {%><table width=200><td class="informationfield"><%=listname%></td></table><%}%>
      </label>
      <label>
        <input type="radio" name="Type" value="public" <%=enable%>
               <%=(list == null || list.type() == TypeOfList.PUBLIC ? "checked" : "")%>>
        &nbsp;<%=context.get("ListPropertiesViewer.Public")%>&nbsp;&nbsp;&nbsp;
      </label>
      <label>
        <input type="radio" name="Type" value="private" <%=enable%>
               <%=(list != null && list.type() == TypeOfList.PRIVATE ? "checked" : "")%>>
        &nbsp;<%=context.get("ListPropertiesViewer.Private")%>
      </label>
   </td>
   <td><%=context.get("ListPropertiesViewer.Description")%><br><textarea rows="3" cols="25" name="Description"><%=description%></textarea></td>
  </tr>
  <tr>
    <td colspan="2"><%=context.get("ListPropertiesViewer.Filter")%><br>
      <textarea rows="3" cols="25" name="Filter"><%=filter%></textarea>
      <%if (list != null) {%><input type="button" value="<%=context.get("ListPropertiesViewer.Assistant")%>" onClick="javascript:window.open('<%=context.getCommand("getFilterAssistant")%>', 'Filter_Assistant', 'screenX=0,screenY=0,width=380,height=270')"><%}%></td>

    <td colspan="1"><%=context.get("ListPropertiesViewer.SortCriteria")%><br>
      <textarea rows="3" cols="25" name="SortCriteria"><%=sortCriteria%></textarea>
      <%if (list != null) {%><input type="button" value="<%=context.get("ListPropertiesViewer.Assistant")%>" onClick="javascript:window.open('<%=context.getCommand("getSortCriteriaAssistant")%>', 'Sort_Criteria_Assistant', 'screenX=0,screenY=0,width=250,height=180')"><%}%></td>

  </tr>

  <tr style="padding-bottom:-0.5cm;">
    <label>
      <td><%=context.get("ListPropertiesViewer.Threshold")%></td>
      <td><input type="text" name="Threshold" size="5" value="<%=threshold%>"></td>
    </label>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td align="right" colspan="4">
      <hr>
      <%if (list != null)
      {%><input name="command" type="hidden" value="setListProperties">
        <input type="submit" value="<%=context.get("ListPropertiesViewer.Apply")%>">&nbsp;
        <input type="reset" value="<%=context.get("ListPropertiesViewer.Reset")%>"></td>
      <%} else {%><input name="command" type="hidden" value="createPersistentList">
        <input type="submit" value="<%=context.get("Command.OK")%>">&nbsp;
        <input type="button" value="<%=context.get("Command.Cancel")%>" onClick="javascript:history.back();">
      </td>
      <%}%>
  </tr>
  </table>
  </td></tr>
  </table>
  </form>


</body>
</html>
