/*BEGIN CMVC */
//*************************************************************************
//
//  Workfile: %W%
//  Last update: %E% %U%
//  SCCS path, id: %F% %I%
//
//************************************************************************/
/*END CMVC */
/*BEGIN COPYRIGHT */
//*************************************************************************
//
//  Licensed Materials - Property of IBM
//  WA81 SupportPac
//  (c) Copyright IBM Corp. 1999, 2001
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
//************************************************************************/
/*END COPYRIGHT */
/*BEGIN DISCLAIMER */
//*************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
//************************************************************************/
/*END DISCLAIMER */

package com.ibm.workflow.java.exit;

import java.util.*;

public class Authentication implements AuthenticationConstants
{
  /**
  * Maps the user ID provided through HTTP/1.1 basic authentication to
  * the Workflow user with the same ID.
  * @param exitParam Hashtable with the exit parameters
  * @return FMC_EXIT_OK
  */
  public static int authenticate(Hashtable exitParam)
  {
    try
    {
      // Extract the credentials (see BasicAuthenticationHandler.getCredentials)
      byte[] credentials = (byte[]) exitParam.get("userCredentials");
      String httpUserID = new String(credentials, "UTF8");
      httpUserID = httpUserID.substring(0, httpUserID.indexOf(':'));

      // the HTTP/1.1 user ID is to be used as Workflow user ID as well
      exitParam.put("exitResult", FMC_LOGON_ACCEPTED);
      exitParam.put("mqwfUserID", httpUserID.toUpperCase());

      return FMC_EXIT_OK;
    }
    catch (Throwable xcpt)
    {
      // ... will appear on the Administration server's console
      xcpt.printStackTrace(System.err);
      return FMC_EXIT_NONRECOVERABLE_ERROR;
    }
  }
}
